Bug 280354 - Ark crash after extract [ DolphinView::ViewAccessor::dirLister ]
Summary: Ark crash after extract [ DolphinView::ViewAccessor::dirLister ]
Status: RESOLVED DUPLICATE of bug 286159
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 1.7
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
: 281003 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-08-18 13:55 UTC by Phillip Kruger
Modified: 2012-07-05 12:21 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Phillip Kruger 2011-08-18 13:55:14 UTC
Application: ark (2.17)
KDE Platform Version: 4.7.00 (4.7.0)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-10-generic x86_64
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed: I extracted a zip file (downloaded this zip http://apache.saix.net/commons/beanutils/binaries/commons-beanutils-1.8.3-bin.zip) to my /opt folder

-- Backtrace:
Application: Ark (ark), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f6f40bb0780 (LWP 10130))]

Thread 3 (Thread 0x7f6f2d44d700 (LWP 10137)):
#0  0x00007f6f3a6750d3 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f6f3a675f9d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6f3a676639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6f3e33d446 in QEventDispatcherGlib::processEvents (this=0x1dbf330, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f6f3e311882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f6f3e311abc in QEventLoop::exec (this=0x7f6f2d44cdd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f6f3e228924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f6f3e2f3c2f in QInotifyFileSystemWatcherEngine::run (this=0x1f21c10) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f6f3e22b175 in QThreadPrivate::start (arg=0x1f21c10) at thread/qthread_unix.cpp:320
#9  0x00007f6f3ab41d8c in start_thread (arg=0x7f6f2d44d700) at pthread_create.c:304
#10 0x00007f6f3dc0304d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f6f26217700 (LWP 10140)):
#0  0x00007f6f3dbf5f03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6f3a676104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6f3a676639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6f3e33d446 in QEventDispatcherGlib::processEvents (this=0x1f79340, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f6f3e311882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f6f3e311abc in QEventLoop::exec (this=0x7f6f26216dd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f6f3e228924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f6f3e2f3c2f in QInotifyFileSystemWatcherEngine::run (this=0x1f7d130) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f6f3e22b175 in QThreadPrivate::start (arg=0x1f7d130) at thread/qthread_unix.cpp:320
#9  0x00007f6f3ab41d8c in start_thread (arg=0x7f6f26217700) at pthread_create.c:304
#10 0x00007f6f3dc0304d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f6f40bb0780 (LWP 10130)):
[KCrash Handler]
#6  d_func (this=0x0) at itemviews/qabstractproxymodel.h:90
#7  QAbstractProxyModel::sourceModel (this=0x0) at itemviews/qabstractproxymodel.cpp:138
#8  0x00007f6f255c07c9 in DolphinView::ViewAccessor::dirLister (this=<value optimized out>) at ../../../dolphin/src/views/dolphinview.cpp:1626
#9  0x00007f6f255c2740 in DolphinView::calculateItemCount (this=<value optimized out>, fileCount=@0x7fff771cbe78, folderCount=@0x7fff771cbe7c, totalFileSize=@0x7fff771cbe70) at ../../../dolphin/src/views/dolphinview.cpp:458
#10 0x00007f6f255c42a0 in DolphinView::statusBarText (this=0x1f80fa0) at ../../../dolphin/src/views/dolphinview.cpp:518
#11 0x00007f6f2580fb24 in DolphinPart::updateStatusBar (this=0x1f5acf0) at ../../../dolphin/src/dolphinpart.cpp:541
#12 0x00007f6f25811a87 in DolphinPart::qt_metacall (this=0x1f5acf0, _c=QMetaObject::InvokeMetaMethod, _id=19, _a=0x7fff771cc040) at ./dolphinpart.moc:145
#13 0x00007f6f3e3275f8 in QMetaObject::activate (sender=0x1f80fa0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#14 0x00007f6f255c545d in DolphinView::qt_metacall (this=0x1f80fa0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff771cc120) at ./dolphinview.moc:189
#15 0x00007f6f3e3275f8 in QMetaObject::activate (sender=0x1f72bf0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#16 0x00007f6f3ff11c36 in KDirListerCache::forgetDirs (this=0x1f622d0, lister=0x1f72bf0) at ../../kio/kio/kdirlister.cpp:511
#17 0x00007f6f3ff12968 in KDirLister::~KDirLister (this=0x1f72bf0, __in_chrg=<value optimized out>) at ../../kio/kio/kdirlister.cpp:2045
#18 0x00007f6f255bf949 in DolphinDirLister::~DolphinDirLister (this=0x1f72bf0, __in_chrg=<value optimized out>) at ../../../dolphin/src/views/dolphindirlister.cpp:32
#19 0x00007f6f3e324c14 in QObjectPrivate::deleteChildren (this=0x1f63300) at kernel/qobject.cpp:1964
#20 0x00007f6f3e3295f4 in QObject::~QObject (this=0x1f60cb0, __in_chrg=<value optimized out>) at kernel/qobject.cpp:946
#21 0x00007f6f3ff21958 in KDirModel::~KDirModel (this=0x1f60cb0, __in_chrg=<value optimized out>) at ../../kio/kio/kdirmodel.cpp:332
#22 0x00007f6f255d07e9 in DolphinModel::~DolphinModel (this=0x1f60cb0, __in_chrg=<value optimized out>) at ../../../dolphin/src/views/dolphinmodel.cpp:55
#23 0x00007f6f255c007a in DolphinView::ViewAccessor::~ViewAccessor (this=0x1f80fe8, __in_chrg=<value optimized out>) at ../../../dolphin/src/views/dolphinview.cpp:1435
#24 0x00007f6f255c1e5e in DolphinView::~DolphinView (this=0x1f80fa0, __in_chrg=<value optimized out>) at ../../../dolphin/src/views/dolphinview.cpp:146
#25 0x00007f6f255c1e89 in DolphinView::~DolphinView (this=0x1f80fa0, __in_chrg=<value optimized out>) at ../../../dolphin/src/views/dolphinview.cpp:148
#26 0x00007f6f3e324c14 in QObjectPrivate::deleteChildren (this=0x1f4ee00) at kernel/qobject.cpp:1964
#27 0x00007f6f3ed18ef2 in QWidget::~QWidget (this=0x1f4d4f0, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1631
#28 0x00007f6f3fad0239 in KVBox::~KVBox (this=0x1f4d4f0, __in_chrg=<value optimized out>) at ../../kdeui/widgets/kvbox.cpp:29
#29 0x00007f6f3e324c14 in QObjectPrivate::deleteChildren (this=0x1f4e5e0) at kernel/qobject.cpp:1964
#30 0x00007f6f3ed18ef2 in QWidget::~QWidget (this=0x1f49ae0, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1631
#31 0x00007f6f30ba52b9 in ArkViewer::~ArkViewer (this=0x1f49ae0, __in_chrg=<value optimized out>) at ../../../ark/part/arkviewer.cpp:58
#32 0x00007f6f3e324c14 in QObjectPrivate::deleteChildren (this=0x1c78f10) at kernel/qobject.cpp:1964
#33 0x00007f6f3ed18ef2 in QWidget::~QWidget (this=0x1c56470, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1631
#34 0x00007f6f3f128e09 in QSplitter::~QSplitter (this=0x1c56470, __in_chrg=<value optimized out>) at widgets/qsplitter.cpp:1056
#35 0x00007f6f402cb493 in KParts::Part::~Part (this=0x1ab67f0, __vtt_parm=0x7f6f30dbaaf8, __in_chrg=<value optimized out>) at ../../kparts/part.cpp:209
#36 0x00007f6f30b9a953 in Ark::Part::~Part (this=0x1ab67f0, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at ../../../ark/part/part.cpp:131
#37 0x00007f6f30b9a9a9 in Ark::Part::~Part (this=0x1ab67f0, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at ../../../ark/part/part.cpp:139
#38 0x000000000040e5eb in MainWindow::~MainWindow (this=0x1adca20, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at ../../../ark/app/mainwindow.cpp:72
#39 0x000000000040e699 in MainWindow::~MainWindow (this=0x1adca20, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at ../../../ark/app/mainwindow.cpp:74
#40 0x00007f6f3e3264c8 in QObject::event (this=0x1adca20, e=<value optimized out>) at kernel/qobject.cpp:1209
#41 0x00007f6f3ed1d67d in QWidget::event (this=0x1adca20, event=0x20d13c0) at kernel/qwidget.cpp:8718
#42 0x00007f6f3f0e9c0b in QMainWindow::event (this=0x1adca20, event=0x20d13c0) at widgets/qmainwindow.cpp:1480
#43 0x00007f6f3fad52a8 in KXmlGuiWindow::event (this=0x1adca20, ev=0x20d13c0) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:126
#44 0x00007f6f3eccc9f4 in QApplicationPrivate::notify_helper (this=0x19a4b80, receiver=0x1adca20, e=0x20d13c0) at kernel/qapplication.cpp:4462
#45 0x00007f6f3ecd13ba in QApplication::notify (this=<value optimized out>, receiver=0x1adca20, e=0x20d13c0) at kernel/qapplication.cpp:4341
#46 0x00007f6f3f9dc796 in KApplication::notify (this=0x7fff771cd450, receiver=0x1adca20, event=0x20d13c0) at ../../kdeui/kernel/kapplication.cpp:311
#47 0x00007f6f3e31249c in QCoreApplication::notifyInternal (this=0x7fff771cd450, receiver=0x1adca20, event=0x20d13c0) at kernel/qcoreapplication.cpp:731
#48 0x00007f6f3e315c25 in sendEvent (receiver=0x0, event_type=0, data=0x1954b60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#49 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1954b60) at kernel/qcoreapplication.cpp:1372
#50 0x00007f6f3e33d253 in sendPostedEvents (s=0x19a2960) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#51 postEventSourceDispatch (s=0x19a2960) at kernel/qeventdispatcher_glib.cpp:277
#52 0x00007f6f3a675bcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007f6f3a6763a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#54 0x00007f6f3a676639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#55 0x00007f6f3e33d3ef in QEventDispatcherGlib::processEvents (this=0x1954340, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#56 0x00007f6f3ed764de in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#57 0x00007f6f3e311882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#58 0x00007f6f3e311abc in QEventLoop::exec (this=0x7fff771cd340, flags=...) at kernel/qeventloop.cpp:201
#59 0x00007f6f3e315ecb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#60 0x000000000040da77 in main (argc=4, argv=<value optimized out>) at ../../../ark/app/main.cpp:209

Reported using DrKonqi
Comment 1 Raphael Kubo da Costa 2011-08-19 12:28:05 UTC
The crash comes from the fact that you have previewed some file in the archive. Do you remember which one it was?
Comment 2 Phillip Kruger 2011-08-19 12:45:00 UTC
Yes, I would have been the META-INF/MANIFEST.MF

Thanks :)
Comment 3 Raphael Kubo da Costa 2011-08-19 12:51:24 UTC
Hmm, it doesn't seem to exist in the zip file you linked in the report.
Comment 4 Phillip Kruger 2011-08-19 16:12:03 UTC
(In reply to comment #3)
> Hmm, it doesn't seem to exist in the zip file you linked in the report.

O, yes, sorry - it's in a jar file in the zip. commons-beanutils-1.8.3.jar. I opened that with ark and previewed the /META-INF/MANIFEST.MF file
Comment 5 Raphael Kubo da Costa 2011-08-22 02:37:29 UTC
So you opened the original file, clicked the .jar file inside Ark and launched a new Ark instance and tried to preview that file?

It's weird that apparently Dolphin was used to preview this file. Can you still reproduce it? If you extract the jar, what program ends up being used to open that file?
Comment 6 Phillip Kruger 2011-08-22 07:25:09 UTC
Ok, so I just reproduced it now. I opened Dolphin to view the downloaded zip file. I then right-click on the zip and select open with ark. Then within ark I select the jar file (that then opens in another ark again). I then preview the MANIFEST.MF file. Then I close the preview, close the jar's ark and close the zip's ark, and then I get the error: (B.t.w it does not happen every time, so not easy to reproduce - I do open jar files often to inspect their MANIFEST.MF files to see if they are OSGi ready, so it see it often, it's not just the beanutils file)

Application: Ark (ark), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fac5dedd780 (LWP 5888))]

Thread 3 (Thread 0x7fac4a77a700 (LWP 5892)):
#0  __pthread_mutex_lock (mutex=0x7fac4400b528) at pthread_mutex_lock.c:56
#1  0x00007fac579a20d3 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fac579a2f9d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fac579a3639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fac5b66a446 in QEventDispatcherGlib::processEvents (this=0x25b3b40, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007fac5b63e882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fac5b63eabc in QEventLoop::exec (this=0x7fac4a779dd0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007fac5b555924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007fac5b620c2f in QInotifyFileSystemWatcherEngine::run (this=0x25f9010) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007fac5b558175 in QThreadPrivate::start (arg=0x25f9010) at thread/qthread_unix.cpp:320
#10 0x00007fac57e6ed8c in start_thread (arg=0x7fac4a77a700) at pthread_create.c:304
#11 0x00007fac5af3004d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fac42fbf700 (LWP 5944)):
#0  0x00007fac5af22f03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fac579a3104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fac579a3639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fac5b66a446 in QEventDispatcherGlib::processEvents (this=0x27230d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fac5b63e882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fac5b63eabc in QEventLoop::exec (this=0x7fac42fbedd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007fac5b555924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007fac5b620c2f in QInotifyFileSystemWatcherEngine::run (this=0x2739320) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fac5b558175 in QThreadPrivate::start (arg=0x2739320) at thread/qthread_unix.cpp:320
#9  0x00007fac57e6ed8c in start_thread (arg=0x7fac42fbf700) at pthread_create.c:304
#10 0x00007fac5af3004d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fac5dedd780 (LWP 5888)):
[KCrash Handler]
#6  d_func (this=0x0) at itemviews/qabstractproxymodel.h:90
#7  QAbstractProxyModel::sourceModel (this=0x0) at itemviews/qabstractproxymodel.cpp:138
#8  0x00007fac485407c9 in DolphinView::ViewAccessor::dirLister (this=<value optimized out>) at ../../../dolphin/src/views/dolphinview.cpp:1626
#9  0x00007fac48542740 in DolphinView::calculateItemCount (this=<value optimized out>, fileCount=@0x7fffbff0f188, folderCount=@0x7fffbff0f18c, totalFileSize=@0x7fffbff0f180) at ../../../dolphin/src/views/dolphinview.cpp:458
#10 0x00007fac485442a0 in DolphinView::statusBarText (this=0x272ac00) at ../../../dolphin/src/views/dolphinview.cpp:518
#11 0x00007fac4251cb24 in DolphinPart::updateStatusBar (this=0x2637d40) at ../../../dolphin/src/dolphinpart.cpp:541
#12 0x00007fac4251ea87 in DolphinPart::qt_metacall (this=0x2637d40, _c=QMetaObject::InvokeMetaMethod, _id=19, _a=0x7fffbff0f350) at ./dolphinpart.moc:145
#13 0x00007fac5b6545f8 in QMetaObject::activate (sender=0x272ac00, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#14 0x00007fac4854545d in DolphinView::qt_metacall (this=0x272ac00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbff0f430) at ./dolphinview.moc:189
#15 0x00007fac5b6545f8 in QMetaObject::activate (sender=0x26d7990, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#16 0x00007fac5d23ec36 in KDirListerCache::forgetDirs (this=0x26cd2e0, lister=0x26d7990) at ../../kio/kio/kdirlister.cpp:511
#17 0x00007fac5d23f968 in KDirLister::~KDirLister (this=0x26d7990, __in_chrg=<value optimized out>) at ../../kio/kio/kdirlister.cpp:2045
#18 0x00007fac4853f949 in DolphinDirLister::~DolphinDirLister (this=0x26d7990, __in_chrg=<value optimized out>) at ../../../dolphin/src/views/dolphindirlister.cpp:32
#19 0x00007fac5b651c14 in QObjectPrivate::deleteChildren (this=0x272a690) at kernel/qobject.cpp:1964
#20 0x00007fac5b6565f4 in QObject::~QObject (this=0x2633300, __in_chrg=<value optimized out>) at kernel/qobject.cpp:946
#21 0x00007fac5d24e958 in KDirModel::~KDirModel (this=0x2633300, __in_chrg=<value optimized out>) at ../../kio/kio/kdirmodel.cpp:332
#22 0x00007fac485507e9 in DolphinModel::~DolphinModel (this=0x2633300, __in_chrg=<value optimized out>) at ../../../dolphin/src/views/dolphinmodel.cpp:55
#23 0x00007fac4854007a in DolphinView::ViewAccessor::~ViewAccessor (this=0x272ac48, __in_chrg=<value optimized out>) at ../../../dolphin/src/views/dolphinview.cpp:1435
#24 0x00007fac48541e5e in DolphinView::~DolphinView (this=0x272ac00, __in_chrg=<value optimized out>) at ../../../dolphin/src/views/dolphinview.cpp:146
#25 0x00007fac48541e89 in DolphinView::~DolphinView (this=0x272ac00, __in_chrg=<value optimized out>) at ../../../dolphin/src/views/dolphinview.cpp:148
#26 0x00007fac5b651c14 in QObjectPrivate::deleteChildren (this=0x26f04e0) at kernel/qobject.cpp:1964
#27 0x00007fac5c045ef2 in QWidget::~QWidget (this=0x26efb50, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1631
#28 0x00007fac5cdfd239 in KVBox::~KVBox (this=0x26efb50, __in_chrg=<value optimized out>) at ../../kdeui/widgets/kvbox.cpp:29
#29 0x00007fac5b651c14 in QObjectPrivate::deleteChildren (this=0x262eb50) at kernel/qobject.cpp:1964
#30 0x00007fac5c045ef2 in QWidget::~QWidget (this=0x25fdd00, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1631
#31 0x00007fac4ded22b9 in ArkViewer::~ArkViewer (this=0x25fdd00, __in_chrg=<value optimized out>) at ../../../ark/part/arkviewer.cpp:58
#32 0x00007fac5b651c14 in QObjectPrivate::deleteChildren (this=0x23581d0) at kernel/qobject.cpp:1964
#33 0x00007fac5c045ef2 in QWidget::~QWidget (this=0x22e9660, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1631
#34 0x00007fac5c455e09 in QSplitter::~QSplitter (this=0x22e9660, __in_chrg=<value optimized out>) at widgets/qsplitter.cpp:1056
#35 0x00007fac5d5f8493 in KParts::Part::~Part (this=0x21f1790, __vtt_parm=0x7fac4e0e7af8, __in_chrg=<value optimized out>) at ../../kparts/part.cpp:209
#36 0x00007fac4dec7953 in Ark::Part::~Part (this=0x21f1790, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at ../../../ark/part/part.cpp:131
#37 0x00007fac4dec79a9 in Ark::Part::~Part (this=0x21f1790, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at ../../../ark/part/part.cpp:139
#38 0x000000000040e5eb in MainWindow::~MainWindow (this=0x217e690, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at ../../../ark/app/mainwindow.cpp:72
#39 0x000000000040e699 in MainWindow::~MainWindow (this=0x217e690, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at ../../../ark/app/mainwindow.cpp:74
#40 0x00007fac5b6534c8 in QObject::event (this=0x217e690, e=<value optimized out>) at kernel/qobject.cpp:1209
#41 0x00007fac5c04a67d in QWidget::event (this=0x217e690, event=0x21595e0) at kernel/qwidget.cpp:8718
#42 0x00007fac5c416c0b in QMainWindow::event (this=0x217e690, event=0x21595e0) at widgets/qmainwindow.cpp:1480
#43 0x00007fac5ce022a8 in KXmlGuiWindow::event (this=0x217e690, ev=0x21595e0) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:126
#44 0x00007fac5bff99f4 in QApplicationPrivate::notify_helper (this=0x2072b80, receiver=0x217e690, e=0x21595e0) at kernel/qapplication.cpp:4462
#45 0x00007fac5bffe3ba in QApplication::notify (this=<value optimized out>, receiver=0x217e690, e=0x21595e0) at kernel/qapplication.cpp:4341
#46 0x00007fac5cd09796 in KApplication::notify (this=0x7fffbff10760, receiver=0x217e690, event=0x21595e0) at ../../kdeui/kernel/kapplication.cpp:311
#47 0x00007fac5b63f49c in QCoreApplication::notifyInternal (this=0x7fffbff10760, receiver=0x217e690, event=0x21595e0) at kernel/qcoreapplication.cpp:731
#48 0x00007fac5b642c25 in sendEvent (receiver=0x0, event_type=0, data=0x2022b60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#49 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x2022b60) at kernel/qcoreapplication.cpp:1372
#50 0x00007fac5b66a253 in sendPostedEvents (s=0x2070960) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#51 postEventSourceDispatch (s=0x2070960) at kernel/qeventdispatcher_glib.cpp:277
#52 0x00007fac579a2bcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007fac579a33a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#54 0x00007fac579a3639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#55 0x00007fac5b66a3ef in QEventDispatcherGlib::processEvents (this=0x2022340, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#56 0x00007fac5c0a34de in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#57 0x00007fac5b63e882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#58 0x00007fac5b63eabc in QEventLoop::exec (this=0x7fffbff10650, flags=...) at kernel/qeventloop.cpp:201
#59 0x00007fac5b642ecb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#60 0x000000000040da77 in main (argc=4, argv=<value optimized out>) at ../../../ark/app/main.cpp:209
Comment 7 Phillip Kruger 2011-08-22 08:18:21 UTC
Ok, I manage to recreate the bug every time now. Follow this instructions (also see desktop recording at http://dev.thumbtribe.co.za/phillip/ark_video.mp4)
1) Open folder containing zip file in Dolphin.
2) Right-click > open with Ark on the zip file.
3) Select the jar file in the ark window (that opens another ark)
3) Select the MANIFEST.MF in the new ark.
4) Go back to the original Ark and select the root folder.
5) Click extract (You can cancel the extract/ or actually extract the file)
6) Close the first (zip file) ark window (with the Jar file ark and MANIFEST.MF preview still open.
7) Tada ! Bug report pops up :)

Hope this helps.
Comment 8 Raphael Kubo da Costa 2011-08-22 16:18:49 UTC
Confirming, thanks for the detailed information.

Actually, if I leave out both steps 3 and step 5 I can still reproduce it (that is, the bug can be triggered by just previewing the top-level directory). The directory should not be previewable to begin with...
Comment 9 Raphael Kubo da Costa 2011-08-22 16:51:10 UTC
infozip itself seems to be identifying the attributes of the top-level directory incorrectly. I've sent a bug report to their forum and am waiting for a response.

For now, we might need a workaround on Ark's side.
Comment 10 Phillip Kruger 2011-08-23 05:56:32 UTC
Cool - So the preview was never the MANIFEST but the folder - that's why Dolphin is used. Ok, please let me know if I can help with anything else. Cheers.
Comment 11 Raphael Kubo da Costa 2011-08-23 20:23:55 UTC
Git commit 6324382670afad99172832574b7eb1a74814b0e9 by Raphael Kubo da Costa.
Committed on 23/08/2011 at 22:16.
Pushed by rkcosta into branch '4.7'.

clizip: Detect whether an entry is a directory in a dumber way.

infozip seems to have some trouble indentifying whether some entries
are directories in certain zip files, and outputs the wrong
information in the entry's attributes.

Simply checking if an entry's name ends in '/' seems to be more
reliable.

This also uncovered a crash in Dolphin, so I'm not closing the bug
right now.

The Ark side of the bug should be fixed in 4.7.1.

CCBUG: 280354

M  +5    -1    plugins/clizipplugin/cliplugin.cpp

http://commits.kde.org/ark/6324382670afad99172832574b7eb1a74814b0e9
Comment 12 Raphael Kubo da Costa 2011-08-23 20:24:10 UTC
Git commit 8e8819046d902f77bb8fa01215efc461b70bdc68 by Raphael Kubo da Costa.
Committed on 23/08/2011 at 22:16.
Pushed by rkcosta into branch 'master'.

clizip: Detect whether an entry is a directory in a dumber way.

infozip seems to have some trouble indentifying whether some entries
are directories in certain zip files, and outputs the wrong
information in the entry's attributes.

Simply checking if an entry's name ends in '/' seems to be more
reliable.

This also uncovered a crash in Dolphin, so I'm not closing the bug
right now.

The Ark side of the bug should be fixed in 4.7.1.

CCBUG: 280354

M  +5    -1    plugins/clizipplugin/cliplugin.cpp

http://commits.kde.org/ark/8e8819046d902f77bb8fa01215efc461b70bdc68
Comment 13 Raphael Kubo da Costa 2011-08-23 20:26:10 UTC
Alright, Ark's side should be fixed now.

I'm reassigning to Dolphin because dolphinpart should not crash at all. ppenz, I can reproduce the crash when using Dolphin v4.7.0, but master does not crash.
Comment 14 Raphael Kubo da Costa 2011-09-29 01:29:10 UTC
*** Bug 281003 has been marked as a duplicate of this bug. ***
Comment 15 Jekyll Wu 2012-07-05 12:21:29 UTC

*** This bug has been marked as a duplicate of bug 286159 ***